\section{Code Style Guide}
\label{sec:code_style}

The general expectation is that you will write PEP-8 compliant code\footnote{ for the most part}. If you are not familiar with those guidelines,  \href{https://www.python.org/dev/peps/pep-0008/}{you can find them here}. \\


The critical expectations for the automatic documentation are as follows (see Appendix section \ref{sec:auto_doc}):

\begin{enumerate}
	\item Classes are stand alone .py
	\item Module functions are documented right after the definition
	\item Each documentation block is of the format """ <documentation> """. The ' """ ' are the escape characters for the documentation procedure.
	\item Each block contains:
	\begin{enumerate}
		\item a short description of the function (ie. what does it do, JIRA ticket ID)
		\item an USAGE example with full data paths for relevant data structures
		\item a description of each function parameter, including the RETURN variable, if it exists
	\end{enumerate}
	 
\end{enumerate}


The automatic documentation simply extracts and organises in subsections the individual method docstring. Please make sure to write an associated docstring with each method.